# TiffCreationOptions class

TIFF creation options

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true)

## Constructors

TiffCreationOptions({int? dpi = 72, TiffCompression? compression = TiffCompression.LZW})
TiffCreationOptions.fromJson(Map<String, dynamic> json)
  factory
TiffCreationOptions.withCustomBinarizationFilter(CustomBinarizationFilter filter, {int? dpi = 72, TiffCompression? compression = TiffCompression.CCITT_T6})
TiffCreationOptions.withLegacyImageFilterType(LegacyBinarizationFilter binarizedImageFilterType, {int? dpi = 72, TiffCompression? compression = TiffCompression.CCITT_T6})
TiffCreationOptions.withScanbotBinarizationFilter(ScanbotBinarizationFilter filter, {int? dpi = 72, TiffCompression? compression = TiffCompression.CCITT_T6})

## Properties

compression ↔ TiffCompression?
  TIFF compression type. Default value is "LZW". Please note that some compression types are only compatible for binarized images (1-bit encoded black & white images)!
  getter/setter pair
dpi ↔ int?
  Dots Per Inches. Default value is 72dpi.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited